| PDL for FM0+ Version1.0 Peripheral Driverl Library for FM0+

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
stc_dma_config Struct Reference
Direct Memory Access (DMA)

DMA configuration. More...

`#include <dma.h>`

## Data Fields
en_dma_idreq_t | enDmaIdrq
| ID Request number (see en_dma_idreq_t for details)
uint8_t | u8BlockCount
| Block counter.
uint16_t | u16TransferCount
| Transfer counter.
en_dma_transfermode_t | enTransferMode
| DMA transfer mode (see en_dma_transfermode_t for details)
en_dma_transferwidth_t | enTransferWdith
| DMA transfer width (see en_dma_transferwidth_t for details)
uint32_t | u32SourceAddress
| Source address.
uint32_t | u32DestinationAddress
| Destination address.
boolean_t | bFixedSource
| TRUE = source address not increased.
boolean_t | bFixedDestination
| TRUE = destination address not increased.
boolean_t | bReloadCount
| TRUE = count is reloaded.
boolean_t | bReloadSource
| TRUE = source address is reloaded.
boolean_t | bReloadDestination
| TRUE = destination address is reloaded.
boolean_t | bEnableBitMask
| FALSE = Clear EB (bEnable) bit on completion (mandatory for transfer end!)

## Detailed Description

DMA configuration.

Definition at line 225 of file dma.h.

## Field Documentation

boolean_t bEnableBitMask

FALSE = Clear EB (bEnable) bit on completion (mandatory for transfer end!)

Definition at line 239 of file dma.h.

Referenced by Dma_Init_Channel().

boolean_t bFixedDestination

TRUE = destination address not increased.

Definition at line 235 of file dma.h.

Referenced by Dma_Init_Channel().

boolean_t bFixedSource

TRUE = source address not increased.

Definition at line 234 of file dma.h.

Referenced by Dma_Init_Channel().

boolean_t bReloadCount

TRUE = count is reloaded.

Definition at line 236 of file dma.h.

Referenced by Dma_Init_Channel().

boolean_t bReloadDestination

TRUE = destination address is reloaded.

Definition at line 238 of file dma.h.

Referenced by Dma_Init_Channel().

boolean_t bReloadSource

TRUE = source address is reloaded.

Definition at line 237 of file dma.h.

Referenced by Dma_Init_Channel().

en_dma_idreq_t enDmaIdrq

ID Request number (see en_dma_idreq_t for details)

Definition at line 227 of file dma.h.

Referenced by Dma_Init_Channel().

en_dma_transfermode_t enTransferMode

DMA transfer mode (see en_dma_transfermode_t for details)

Definition at line 230 of file dma.h.

Referenced by Dma_Init_Channel().

en_dma_transferwidth_t enTransferWdith

DMA transfer width (see en_dma_transferwidth_t for details)

Definition at line 231 of file dma.h.

Referenced by Dma_Init_Channel().

uint16_t u16TransferCount

Transfer counter.

Definition at line 229 of file dma.h.

Referenced by Dma_Init_Channel().

uint32_t u32DestinationAddress

Destination address.

Definition at line 233 of file dma.h.

Referenced by Dma_Init_Channel().

uint32_t u32SourceAddress

Source address.

Definition at line 232 of file dma.h.

Referenced by Dma_Init_Channel().

uint8_t u8BlockCount

Block counter.

Definition at line 228 of file dma.h.

Referenced by Dma_Init_Channel().

The documentation for this struct was generated from the following file:

- C:/pdl_v10/library/driver/dma/dma.h